summaryrefslogtreecommitdiff
path: root/ao-bringup/test-easymini
diff options
context:
space:
mode:
authorBdale Garbee <bdale@gag.com>2014-06-15 17:47:41 -0600
committerBdale Garbee <bdale@gag.com>2014-06-15 17:47:41 -0600
commitc5cfc0d6e507d093987741b6ffaf69ebb24caa4b (patch)
treea75b83343939e96592ac07178f2011d82ea6ded8 /ao-bringup/test-easymini
parent1b3d07ede530fa40cb7257fb1725c969ba60e0f0 (diff)
parent9ab3a1de95b705783c31a7e16447f52c10b6b480 (diff)
Merge branch 'branch-1.4' into debian
Diffstat (limited to 'ao-bringup/test-easymini')
-rwxr-xr-xao-bringup/test-easymini63
1 files changed, 63 insertions, 0 deletions
diff --git a/ao-bringup/test-easymini b/ao-bringup/test-easymini
new file mode 100755
index 00000000..29139385
--- /dev/null
+++ b/ao-bringup/test-easymini
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+VERSION=1.0
+PRODUCT=EasyMini
+BASE=`echo $PRODUCT | tr 'A-Z' 'a-z'`
+
+echo "$PRODUCT-v$VERSION Test Program"
+echo "Copyright 2014 by Keith Packard. Released under GPL v2"
+echo
+echo "Expectations:"
+echo "\t$PRODUCT v$VERSION powered from USB"
+echo
+
+ret=1
+ao-list | while read product serial dev; do
+ case "$product" in
+ "$PRODUCT-v$VERSION")
+
+ echo "Testing $product $serial $dev"
+
+ echo "Testing igniters. Both should flash"
+ ./test-igniter "$dev" drogue main
+
+ case $? in
+ 0)
+ ;;
+ *)
+ echo "failed"
+ exit 1
+ esac
+
+ echo "Testing baro sensor"
+ ./test-baro "$dev"
+
+ case $? in
+ 0)
+ ;;
+ *)
+ echo "failed"
+ exit 1
+ esac
+
+ FLASHSIZE=1048576
+
+ echo "Testing flash"
+ ./test-flash "$dev" "$FLASHSIZE"
+
+ case $? in
+ 0)
+ ;;
+ *)
+ echo "failed"
+ exit 1
+ esac
+
+ echo "$PRODUCT-v$VERSION" serial "$serial" is ready to ship
+ ret=0
+ ;;
+ *)
+ echo "Skipping $product $serial $dev"
+ ;;
+ esac
+done